PHP Manual
Prev |  | Next

# HaruDoc::loadRaw

(no version information, might be only in CVS)

HaruDoc::loadRaw -- Load RAW image and return HaruImage instance

## Description

object HaruDoc::loadRaw ( string filename, int width, int height, int color_space )

Loads RAW image and returns new HaruImage instance.

## Parameters

`filename`

  The name of a RAW image file.

`width`

  The width of the image.

`height`

  The height of the image.

`color_space`

  The color space of the image. Can be one of the following values:

  `HaruDoc::CS_DEVICE_GRAY`
  `HaruDoc::CS_DEVICE_RGB`
  `HaruDoc::CS_DEVICE_CMYK`

## Errors/Exceptions

Throws HaruException on error.

## See Also

HaruDoc::loadJPEG()
HaruDoc::loadPNG()

Prev | Home | Next
HaruDoc::loadPNG | Up | HaruDoc::loadTTC